> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Run

> Get a single project run by id or idempotency key.



## OpenAPI

````yaml GET /orgs/{org_id}/projects/{project_id}/runs/{run_id}
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: analytics
    description: Project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/projects/{project_id}/runs/{run_id}:
    get:
      tags:
        - runs
      description: Get a single project run by id or idempotency key.
      operationId: handler
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: run_id
          in: path
          description: Platform run id or idempotency key.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Run details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetail'
        '403':
          description: Insufficient permissions
      security:
        - bearer_auth: []
components:
  schemas:
    RunDetail:
      type: object
      required:
        - id
        - user
        - status
        - cost_usd
        - cost_credits
        - created_at
        - idempotency_key
      properties:
        cost_credits:
          type: number
          format: double
        cost_usd:
          type: number
          format: double
        created_at:
          type: string
          format: date-time
        duration_ms:
          type:
            - integer
            - 'null'
          format: int64
        group_id:
          type:
            - string
            - 'null'
        id:
          type: string
        idempotency_key:
          type: string
        last_reaction_sentiment:
          type:
            - string
            - 'null'
        parent_id:
          type:
            - string
            - 'null'
        status:
          type: string
        status_detail: {}
        trace: {}
        user:
          $ref: '#/components/schemas/UserRef'
      additionalProperties: {}
    UserRef:
      type: object
      required:
        - id
        - name
        - email
      properties:
        email:
          type: string
        id:
          type: string
        name:
          type: string
        photo_url:
          type:
            - string
            - 'null'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````